<?php

namespace App\Policies;

use App\Models\Solicitor\Solicitor;
use App\Models\User\User;

class SolicitorPolicy {

    public function view(User $user): bool {
        return $user->can('solicitors.view');
    }

    public function create(User $user): bool {
        return $user->can('solicitors.create');
    }

    public function edit(User $user, Solicitor $solicitor): bool {
        return $user->can('solicitors.edit');
    }

    public function delete(User $user, Solicitor $solicitor): bool {
        return $user->can('solicitors.delete');
    }
}
